## designate-dashboard 11.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
oslo.log>=3.36.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-designateclient>=2.7.0 # Apache-2.0

horizon>=17.1.0 # Apache-2.0

=== debian/changelog ===
designate-dashboard (11.0.0-2) unstable; urgency=medium

  * Ship enable files in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Jun 2021 11:30:08 +0200

designate-dashboard (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 22:34:21 +0200

designate-dashboard (11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2020 20:36:05 +0200

designate-dashboard (10.0.0-1) unstable; urgency=medium

  * Fixed Homepage URL.
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 15:19:53 +0200

designate-dashboard (10.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 10 May 2020 12:11:33 +0200

designate-dashboard (10.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Move the package to the horizon-plugins subgroup.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless fix-sheebang-of-manage.py.patch patch.

 -- Thomas Goirand <zigo@debian.org>  Thu, 23 Apr 2020 18:12:43 +0200

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:17.1.0),
 python3-coverage,
 python3-designateclient,
 python3-django,
 python3-django-nose,
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-nosexcover,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-testtools,
 python3-unittest2,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/designate-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/designate-dashboard.git
Homepage: https://opendev.org/openstack/designate-dashboard

Package: python3-designate-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:17.1.0),
 python3-designateclient,
 python3-oslo.log,
 python3-pbr,
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:18.6.2-4~),
Conflicts:
 python-designate-dashboard,
Description: OpenStack DNS as a Service - dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

	# Copy config enabled to openstack-dashboard enabled location
	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled
	cp $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/designatedashboard/enabled/_[0-9]*.py $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/openstack_dashboard/local/enabled

	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		PYTHON=python3 \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		PYTHONDONTWRITEBYTECODE=1 \
		DJANGO_SETTINGS_MODULE=designatedashboard.settings \
		python3 $(CURDIR)/manage.py test designatedashboard -v 2 --settings=designatedashboard.tests.settings
	## Delete __pycache__
	find . -name __pycache__ -prune -exec rm -rf {} +;
endif

## designate-dashboard 12.0.0

=== debian/changelog ===
designate-dashboard (12.0.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Apr 2021 22:38:23 +0000

designate-dashboard (12.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 14:59:39 -0400

designate-dashboard (12.0.0~rc1-0ubuntu1) hirsute; urgency=medium

  * d/watch: Scope to 12.x series
  * New upstream release candidate for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 26 Mar 2021 08:07:43 +0000

designate-dashboard (11.0.0+git2020121016.0fb4e2e-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Dec 2020 16:02:35 -0500

designate-dashboard (11.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 07:42:16 -0400

designate-dashboard (11.0.0~rc1-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 11.x series.

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 12:08:47 -0400

designate-dashboard (11.0.0~b3~git2020091515.7b1adbd-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Sep 2020 15:04:50 -0400

designate-dashboard (11.0.0~b1~git2020062613.3f1f6ae-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.5.0.
  * d/control: Remove version specification for openstack-pkg-tools.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 26 Jun 2020 13:31:43 +0000

designate-dashboard (10.0.0-0ubuntu1) groovy; urgency=medium

  * d/watch: Scope to 10.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 14:28:42 -0400

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-designateclient (>= 2.7.0),
 python3-hacking (>= 1.1.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:18.6.0~),
 python3-django-nose (>= 1.4.4),
 python3-django-openstack-auth (>= 3.5.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose (>= 1.3.7),
 python3-nose-exclude (>= 0.5.0),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.log (>= 3.36.0),
 python3-reno (>= 2.11.2),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-unittest2 (>= 1.1.0),
 testrepository,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate-dashboard
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate-dashboard
Homepage: https://github.com/stackforge/designate-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-designate-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:18.6.0~),
 python3-babel (>= 2.3.4),
 python3-designateclient (>= 2.7.0),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:18.6.0~),
 python3-oslo.log (>= 3.36.0),
 python3-pbr (>= 2.0.0),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - Python 3 dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate-dashboard/ designate-dashboard-(12\.\d.*)\.tar\.gz

## designate-dashboard 13.0.0

=== debian/changelog ===
designate-dashboard (13.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 07 Oct 2021 11:29:48 +0000

designate-dashboard (12.0.0+git2021061112.87a4380-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 12:51:20 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate-dashboard/ designate-dashboard-(13\.\d.*)\.tar\.gz

## designate-dashboard 13.0.1

=== debian/changelog ===
designate-dashboard (13.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 08:17:03 +0000

designate-dashboard (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 17:46:19 +0200

designate-dashboard (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:46:41 +0200

designate-dashboard (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * (Build-)depends on minimum horizon >= 20.0.0+git2020.09.21.27036cc0eb.

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Sep 2021 17:12:07 +0200

designate-dashboard (12.0.0-4) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:07:26 +0200

designate-dashboard (12.0.0-3) experimental; urgency=medium

  * Add rm_conffile to remove old files in /etc/openstack-dashboard/enable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 May 2021 11:27:11 +0200

designate-dashboard (12.0.0-2) experimental; urgency=medium

  * Package the enable folder in
    /usr/lib/python3/dist-packages/openstack_dashboard/local/enabled.
  * Add Breaks: python3-django-horizon (<< 3:19.2.0-2~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 07 May 2021 12:21:22 +0200

designate-dashboard (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 22:46:40 +0200

designate-dashboard (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 25 Mar 2021 22:17:54 +0100

## designate-dashboard 14.0.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.0 # Apache-2.0
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
designate-dashboard (14.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 14.x series.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Mar 2022 09:49:18 -0400

designate-dashboard (13.0.0+git2022011215.cddfd05-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:58:26 -0500

designate-dashboard (13.0.0+git2021120911.cddfd05-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Dec 2021 11:36:34 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate-dashboard/ designate-dashboard-(14\.\d.*)\.tar\.gz

## designate-dashboard 14.0.1

=== debian/changelog ===
designate-dashboard (14.0.1-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Thu, 02 Oct 2025 10:10:10 +0000

designate-dashboard (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Mar 2022 16:09:11 +0200

designate-dashboard (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 13:32:51 +0200

designate-dashboard (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Mar 2022 16:52:10 +0100

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-coverage,
 python3-designateclient,
 python3-django,
 python3-django-nose,
 python3-nose,
 python3-nose-exclude,
 python3-nosehtmloutput,
 python3-nosexcover,
 python3-openstack.nose-plugin,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.log,
 python3-testtools,
 python3-unittest2,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/designate-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/designate-dashboard.git
Homepage: https://opendev.org/openstack/designate-dashboard

Package: python3-designate-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
 python3-designateclient,
 python3-oslo.log,
 python3-pbr,
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python3-django-horizon (<< 3:19.2.0-2~),
Conflicts:
 python-designate-dashboard,
Description: OpenStack DNS as a Service - dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the OpenStack dashboard plugin.

## designate-dashboard 15.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

horizon>=17.1.0 # Apache-2.0

=== debian/changelog ===
designate-dashboard (15.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Oct 2022 22:17:27 +0200

designate-dashboard (15.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Sep 2022 04:13:54 +0200

designate-dashboard (15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 10:58:58 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
 Build-Depends-Indep:
  openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
  python3-coverage,
- python3-designateclient,
  python3-django,
  python3-django-nose,
  python3-nose,
@@ -26,7 +25,6 @@
  python3-openstack.nose-plugin,
  python3-openstackdocstheme,
  python3-oslo.config,
- python3-oslo.log,
  python3-testtools,
  python3-unittest2,
  testrepository,
@@ -39,8 +37,6 @@
 Architecture: all
 Depends:
  openstack-dashboard (>= 3:20.0.0+git2020.09.21.27036cc0eb),
- python3-designateclient,
- python3-oslo.log,
  python3-pbr,
  python3-pkg-resources,
  ${misc:Depends},

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/designate-dashboard/tags .*/(\d[brc\d\.]+)\.tar\.gz

## designate-dashboard 16.0.0

=== debian/changelog ===
designate-dashboard (16.0.0-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 23 Mar 2023 22:52:10 +0000

designate-dashboard (16.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 23 Mar 2023 14:26:16 -0400

designate-dashboard (16.0.0~rc1-0ubuntu1) lunar; urgency=medium

  * d/watch: Drop major version.
  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Mar 2023 10:13:29 -0500

designate-dashboard (15.0.0+git2023011009.eea24178-0ubuntu1) lunar; urgency=medium

  * New upstream snapshot for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Jan 2023 09:42:07 -0500

designate-dashboard (15.0.0-0ubuntu1) kinetic; urgency=medium

  * d/watch: Scope to 15.x series.
  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Oct 2022 16:49:14 -0400

designate-dashboard (14.0.0+git2022091214.8010007-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Sep 2022 14:46:25 -0400

designate-dashboard (14.0.0+git2022071816.6499305-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Ensure openstack-pkg-tools has CIS hardening for log files
    and pkgos_adduser.
  * d/control: Ensure min version of openstack-dashboard has ALLOWED_HOSTS in
    list format for django 4.x.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 18 Jul 2022 16:06:25 -0400

designate-dashboard (14.0.0+git2022060209.928f859-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jun 2022 09:14:20 -0400

## designate-dashboard 17.0.0

=== debian/changelog ===
designate-dashboard (17.0.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 05 Oct 2023 18:43:20 +0000

designate-dashboard (17.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 08:52:20 -0400

designate-dashboard (16.0.0+git2023090714.5e431416-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:16:35 -0400

designate-dashboard (16.0.0+git2023061414.fd72a687-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream snapshot for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jun 2023 14:58:15 -0400

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-hacking (>= 1.1.0),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-django-nose (>= 1.4.4),
 python3-django-openstack-auth (>= 3.5.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-nose (>= 1.3.7),
 python3-nose-exclude (>= 0.5.0),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 2.2.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-reno (>= 2.11.2),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-unittest2 (>= 1.1.0),
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate-dashboard
Homepage: https://opendev.org/openstack/designate-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-designate-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-pbr (>= 2.0.0),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - Python 3 dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

## designate-dashboard 18.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

horizon>=17.1.0 # Apache-2.0
openstacksdk>=0.62.0 # Apache-2.0

=== debian/changelog ===
designate-dashboard (18.0.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 05 Apr 2024 16:17:38 +0000

designate-dashboard (18.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:03:54 +0100

designate-dashboard (18.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Mar 2024 13:42:17 +0000

designate-dashboard (17.0.0+git2024011916.a17c9184-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Priority extra -> optional.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Feb 2024 16:34:25 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: designate-dashboard
 Section: python
-Priority: extra
+Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders:

## designate-dashboard 19.0.0

=== debian/changelog ===
designate-dashboard (19.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090408).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 17:13:25 +0100

designate-dashboard (19.0.0-2) unstable; urgency=medium

  * Removed python3-pkg-resources from depends (Closes: #1083355).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2024 12:28:08 +0200

designate-dashboard (19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:55:32 +0200

designate-dashboard (19.0.0~rc1-3) unstable; urgency=medium

  * Removed python3-unittest2 from build-depends (Closes: #1078185).

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Sep 2024 09:55:00 +0200

designate-dashboard (19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 22:44:44 +0200

designate-dashboard (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 10:00:02 +0200

designate-dashboard (18.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 15:50:44 +0200

designate-dashboard (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-openstacksdk as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 14:58:38 +0100

designate-dashboard (17.0.0-2) unstable; urgency=medium

  * Do not build-depends on python3-django-nose and python3-nose.

 -- Thomas Goirand <zigo@debian.org>  Sat, 07 Oct 2023 12:23:30 +0200

designate-dashboard (17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:46:04 +0200

designate-dashboard (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Sep 2023 10:31:18 +0200

designate-dashboard (16.0.0-3) unstable; urgency=medium

  * Cleans properly (Closes: #1044584).

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Aug 2023 17:41:19 +0200

designate-dashboard (16.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 16:17:07 +0200

designate-dashboard (16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 15:10:31 +0100

designate-dashboard (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed versions from (build-)depends when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Mar 2023 17:27:46 +0100

designate-dashboard (15.0.0-2) unstable; urgency=medium

  * Removed build-depends on nose (Closes: #1018337).
  * Watch file uses git mode.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Nov 2022 14:53:03 +0100

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard,
 python3-coverage,
 python3-django,
 python3-openstackdocstheme,
 python3-openstacksdk,
 python3-oslo.config,
 python3-testtools,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/designate-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/designate-dashboard.git
Homepage: https://opendev.org/openstack/designate-dashboard

Package: python3-designate-dashboard
Architecture: all
Depends:
 openstack-dashboard,
 python3-openstacksdk,
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-designate-dashboard,
Description: OpenStack DNS as a Service - dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the OpenStack dashboard plugin.

## designate-dashboard 20.0.0

=== debian/changelog ===
designate-dashboard (20.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 17:56:24 +0200

designate-dashboard (19.0.0+git2025030311.205ecc2-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 09:16:16 +0000

designate-dashboard (19.0.0+git2025011511.205ecc2-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Drop surplus dependencies.

 -- James Page <james.page@ubuntu.com>  Mon, 20 Jan 2025 13:56:25 +0000

designate-dashboard (19.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:21:55 +0100

designate-dashboard (19.0.0~rc1-0ubuntu1) oracular; urgency=medium

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.

  [ Myles Penner ]
  * New upstream release candidate for OpenStack Dalmatian.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 26 Sep 2024 08:36:33 +0100

designate-dashboard (18.0.0+git2024080809.db8894f0-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian

 -- Jadon Naas <jadon.naas@canonical.com>  Mon, 12 Aug 2024 21:13:07 +0100

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-django (>= 2:2.2),
 python3-django-compressor (>= 2.0),
 python3-django-horizon (>= 4:17.1.0),
 python3-django-nose (>= 1.4.4),
 python3-django-openstack-auth (>= 3.5.0),
 python3-hacking (>= 1.1.0),
 python3-mox3 (>= 0.20.0),
 python3-nose (>= 1.3.7),
 python3-nose-exclude (>= 0.5.0),
 python3-nosehtmloutput (>= 0.0.3),
 python3-nosexcover (>= 1.0.10),
 python3-openstack.nose-plugin (>= 0.7),
 python3-openstackdocstheme (>= 2.2.0),
 python3-openstacksdk (>= 2.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-reno (>= 2.11.2),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-unittest2 (>= 1.1.0),
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/designate-dashboard
Homepage: https://opendev.org/openstack/designate-dashboard
Testsuite: autopkgtest-pkg-python

Package: python3-designate-dashboard
Architecture: all
Depends:
 openstack-dashboard (>= 4:22.2.0+git2022071815.f3767aba9-0ubuntu2~),
 python3-babel (>= 2.3.4),
 python3-django (>= 2:2.2),
 python3-django-horizon (>= 4:17.1.0),
 python3-pbr (>= 2.0.0),
 python3-pkg-resources,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack DNS as a Service - Python 3 dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the Python 3 OpenStack dashboard plugin.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/designate-dashboard/ designate_dashboard-(20\.\d.*)\.tar\.gz

## designate-dashboard 20.0.0+git2025070714.e9ce32a

=== debian/changelog ===
designate-dashboard (20.0.0+git2025070714.e9ce32a-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Wed, 16 Jul 2025 13:52:30 -0700

## designate-dashboard 21.0.0~rc1

=== debian/changelog ===
designate-dashboard (21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 19:23:23 +0200

designate-dashboard (20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 14:07:18 +0200

designate-dashboard (20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:50:57 +0100

designate-dashboard (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 08:27:03 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,11 +3,12 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_clean:
 	dh_clean
-	rm -rf .coverage*
+	rm -rf .coverage* *.egg-info
+	rm -rf build
 
 override_dh_auto_clean:
 	python3 setup.py clean
@@ -34,11 +35,6 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=$(CURDIR) \
 		PYTHON=python3 \
-		NOSE_WITH_OPENSTACK=1 \
-		NOSE_OPENSTACK_COLOR=1 \
-		NOSE_OPENSTACK_RED=0.05 \
-		NOSE_OPENSTACK_YELLOW=0.025 \
-		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
 		PYTHONDONTWRITEBYTECODE=1 \
 		DJANGO_SETTINGS_MODULE=designatedashboard.settings \
 		python3 $(CURDIR)/manage.py test designatedashboard -v 2 --settings=designatedashboard.tests.settings

## designate-dashboard 21.0.0

=== requirements.txt ===
--- 
+++ 
@@ -4,4 +4,4 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 
 horizon>=17.1.0 # Apache-2.0
-openstacksdk>=0.62.0 # Apache-2.0
+openstacksdk>=2.1.0 # Apache-2.0

=== doc/requirements.txt ===
sphinxcontrib-svg2pdfconverter>=1.2.3 # BSD
openstackdocstheme>=3.5.0 # Apache-2.0
reno>=4.1.0 # Apache-2.0

=== debian/changelog ===
designate-dashboard (21.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 23:09:30 +0200

designate-dashboard (21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:47:05 +0200

=== debian/control ===
Source: designate-dashboard
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 openstack-dashboard,
 python3-coverage,
 python3-django,
 python3-openstackdocstheme,
 python3-openstacksdk (>= 2.1.0),
 python3-oslo.config,
 python3-testtools,
 testrepository,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/horizon-plugins/designate-dashboard
Vcs-Git: https://salsa.debian.org/openstack-team/horizon-plugins/designate-dashboard.git
Homepage: https://opendev.org/openstack/designate-dashboard

Package: python3-designate-dashboard
Architecture: all
Depends:
 openstack-dashboard,
 python3-openstacksdk (>= 2.1.0),
 python3-pbr,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-designate-dashboard,
Description: OpenStack DNS as a Service - dashboard plugin
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package contains the OpenStack dashboard plugin.

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/designate-dashboard refs/tags/(\d[brc\d\.]+)

## designate-dashboard 21.0.0+git20260108.6.efe5aa2

=== debian/changelog ===
designate-dashboard (21.0.0+git20260108.6.efe5aa2-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * New upstream version 21.0.0+git20260108.6.efe5aa2
  * d/rules: enable sphinxdoc to build documentation
  * d/patches/*: refresh patches
  * New upstream snapshot from efe5aa2bca9fe6d900163923db8e7e4682476552
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 15:37:44 -0800

designate-dashboard (21.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).
  * d/watch:
      - Add signing key verification
      - Update for flamingo release
  * d/u/signing-key.asc: Add Flamingo signing key

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Mon, 06 Oct 2025 14:16:09 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=designatedashboard

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		NOSE_WITH_OPENSTACK=1 \
		NOSE_OPENSTACK_COLOR=1 \
		NOSE_OPENSTACK_RED=0.05 \
		NOSE_OPENSTACK_YELLOW=0.025 \
		NOSE_OPENSTACK_SHOW_ELAPSED=1 \
		PYTHONDONTWRITEBYTECODE=1 \
		DJANGO_SETTINGS_MODULE=designatedashboard.settings \
		python3 $(CURDIR)/manage.py test designatedashboard --settings=designatedashboard.tests.settings
endif

override_dh_clean:
	dh_clean
	rm -rf .coverage*

override_dh_auto_install:
	dh_auto_install

	# Activates the designatedashboard plugin in Horizon - Python 3
	# designatedashboard/enabled/_17*
	mkdir -p $(CURDIR)/debian/python3-designate-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled ; \
	cp $(CURDIR)/designatedashboard/enabled/_17* $(CURDIR)/debian/python3-designate-dashboard/usr/lib/python3/dist-packages/openstack_dashboard/enabled

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/designate-dashboard/ designate_dashboard-(21\.\d.*)\.tar\.gz
